%define upstream_name    ack
%define upstream_version 2.18

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Grep-like text finder for large trees of text
License:    GPL+ or Artistic
Group:      Text tools
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Next) >= 1.160.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::Harness) >= 2.500.0
BuildRequires: perl(Test::More)
BuildRequires: perl
BuildArch:  noarch

%description
ack is a grep-like program with optimizations for searching through large trees
of source code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# tests failing on cluster because they seem to require a real term.
# ==> skipping tests for now
# %{make_build} test

%install
%make_install

%files
%doc Changes META.yml
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Sat Mar 25 2017 shlomif <shlomif> 2.180.0-1.mga6
+ Revision: 1094776
- New version 2.18

* Sat Mar 11 2017 shlomif <shlomif> 2.160.0-1.mga6
+ Revision: 1091785
- New upstream version 2.16 + .spec modernisation.

* Sat Jun 18 2016 pterjan <pterjan> 2.140.0-5.mga6
+ Revision: 1022094
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.140.0-4.mga6
+ Revision: 933363
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.140.0-3.mga5
+ Revision: 750333
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.140.0-2.mga5
+ Revision: 677686
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 2.140.0-1.mga5
+ Revision: 671967
- update to 2.14

* Thu Jan 23 2014 guillomovitch <guillomovitch> 2.120.0-1.mga4
+ Revision: 567587
- new version 2.12

* Mon Oct 21 2013 umeabot <umeabot> 2.100.0-2.mga4
+ Revision: 537576
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 2.100.0-1.mga4
+ Revision: 487295
- update to 2.10

* Fri Aug 23 2013 sander85 <sander85> 2.80.0-1.mga4
+ Revision: 470258
- update to 2.08

* Sun Jun 02 2013 kharec <kharec> 2.40.0-1.mga4
+ Revision: 434928
- new version 2.04

* Fri Jan 11 2013 umeabot <umeabot> 1.960.0-2.mga3
+ Revision: 345242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1.960.0-1.mga2
+ Revision: 148007
- update to 1.96

* Wed Feb 16 2011 jquelin <jquelin> 1.940.0-1.mga1
+ Revision: 52210
- update to 1.94

* Fri Jan 21 2011 jquelin <jquelin> 1.920.0-1.mga1
+ Revision: 29765
- mageia rebuild
- imported package ack

